Image Classification
curl --request POST \
--url https://api.img-processing.com/v1/images/{image_id}/classify \
--header 'x-api-key: <api-key>'import requests
url = "https://api.img-processing.com/v1/images/{image_id}/classify"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.img-processing.com/v1/images/{image_id}/classify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"main_label": "Tabby",
"main_score": 0.4316079616546631,
"secondary_labels": [
{
"label": "Tiger Cat",
"score": 0.37503865361213684
},
{
"label": "Egyptian Cat",
"score": 0.124073326587677
},
{
"label": "Plastic Bag",
"score": 0.007065261714160442
},
{
"label": "Lynx",
"score": 0.003809159155935049
}
]
}{
"type": "https://docs.img-processing.com/errors/unauthorized",
"error": "Unauthorized",
"status": 401,
"message": "API key is required."
}{
"type": "https://docs.img-processing.com/errors/forbidden",
"error": "Forbidden",
"status": 403,
"message": "You are not allowed to access this image."
}{
"type": "https://docs.img-processing.com/errors/validation-error",
"error": "Validation Error",
"status": 422,
"errors": [
"{field or param} {error message}"
]
}{
"type": "https://docs.img-processing.com/errors/too-many-requests",
"error": "Too Many Requests",
"status": 429,
"message": "Rate limit exceeded. Try again later."
}{
"type": "https://docs.img-processing.com/errors/internal-error",
"error": "Internal Error",
"status": 500,
"message": "An unexpected error occurred. Please try again later. If the problem persists, contact support."
}Analysis Endpoints
Image Classification
Classifies the image giving a list of labels and their probabilities
POST
/
v1
/
images
/
{image_id}
/
classify
Image Classification
Description
Theclassify endpoint allows you to classify an image using a pre-trained model. At the moment,
the only supported model is the ResNet50 model,
a deep learning model that excels at image classification tasks.
The endpoint will return a list of labels and their probabilities for the image.
Test images may return accurate results due the
test watermarks applied to them. If you want to get
better results, please use live images. If you just want to test this feature, contact support to temporarily
upgrade your account.Authorizations
API Key for authentication
Path Parameters
The unique identifier of the image. This identifier is used to reference the image in subsequent requests.
Response
The API will return the Image object in the response body.
Response object for image identification. Contains the main label and secondary labels with their scores.
The main label of the image. This is the label with the highest probability.
The probability score of the main label. This is a number between 0 and 1.
An array of secondary labels with their respective scores. These are the labels with lower probabilities than the main label.
Show child attributes
Show child attributes

